#!/bin/bash
set -e
export SHAREDIR=/usr/share/fisterra
export TMPDIR=/tmp
export PATH=$PATH:/usr/lib/postgresql/bin
FISTERRADB=fisterra_db
FISTERRAUSER=fisterra_user
FISTERRADUMP=fisterradump.dump
FISTERRAUSERPW=arousa

if psql -ltq |grep -sq $FISTERRADB
then
	echo "                                                 "
	echo "Fisterra ! database exists."
	echo "                                                 "
else
#	echo "                                                 "
#	echo "Fisterra! database does not exist. You can choose"
#	echo "to create it now, or you can do it lately"
#	echo "launching /usr/share/fisterra/makedb.sh ."
#	echo "This script has to be launched by the potgres user."
#	echo "Do you want to create the database now (Y/n) ?"
#
#               read ANS
#                if [ -z "$ANS" -o "$ANS" = "Y" -o "$ANS" = "y" ];
#                then
			echo "                                                 "
			createdb -E SQL_ASCII $FISTERRADB
			if (psql -qt -d $FISTERRADB -c "SELECT * FROM pg_shadow where usename = '$FISTERRAUSER';"|grep $FISTERRAUSER)
			then
				echo "$FISTERRAUSER user exists."
			else
				psql -qt -d $FISTERRADB -c "create user $FISTERRAUSER with password '$FISTERRAUSERPW';"
			fi
					      
			echo "                                                 "
			echo "Populating database with tables, sequences, and examples..."
			echo "                                                 "
			psql -t -d $FISTERRADB <$SHAREDIR/fisterra.dump > $TMPDIR/makedb.out 2>&1 
#							psql -qt -d $FISTERRADB -c "GRANT ALL PRIVILEGES ON DATABASE $FISTERRADB TO $FISTERRAUSER;"
			for i in `cat $SHAREDIR/fisterra.dump | grep "CREATE\ *\(SEQUENCE\|TABLE\)" | cut -f 3 -d \ `; do echo "ALTER TABLE  $i OWNER TO $FISTERRAUSER;"; done > $TMPDIR/tmpgrant.sql
			psql -qt -d $FISTERRADB < $TMPDIR/tmpgrant.sql

			if grep -sq ERR $TMPDIR/makedb.out
			then
				echo -n "An error has occurred. Please check $TMPDIR/makedb.out for more details"
			else 
				rm -f $TMPDIR/makedb.out
			fi
#                fi
#
fi

