#!/bin/bash
set -e
export SHAREDIR=/usr/share/fisterra
export TMPDIR=/tmp
export PATH=$PATH:/usr/lib/postgresql/bin
FISTERRADB=fisterra_db
FISTERRAUSER=fisterra_user
FISTERRADUMP=fisterra.dump
FISTERRAUSERPW=arousa

if (psql -ltq |grep -sq $FISTERRADB )
    then
    echo "                                                 "
    echo "Fisterra! database is going to droped.           "
    echo "You can choose to drop it now or                 "
    echo "or you can do it lately by yourself              "
    echo "Do you want to drop the database now (y/N) ?     "

    read ANS
    if [  "$ANS" = "Y" -o "$ANS" = "y" ];
	then
	dropdb $FISTERRADB
	dropuser $FISTERRAUSER
    else
	echo "To remove the database just follow next comands as root"
	echo "                                                       "
	echo "#su - postgres                                         "
	echo "postgres$dropdb $FISTERRADB                            "
	echo "postgres$dropuser $FISTERRAUSER                        "
	echo "postgres$exit                                          "
	echo "#                                                      "
    fi
else
    echo "                                                      "
    echo "Fisterra ! database does not exists. No work needed   "
fi
	
       